com.jnape.palatable.lambda.functions.builtin.fn2

## Class DropWhile<A>

- java.lang.Object
- - com.jnape.palatable.lambda.functions.builtin.fn2.DropWhile<A>

- Type Parameters:
    `A` - The Iterable element type
  All Implemented Interfaces:
    Fn1<Fn1<? super A,? extends Boolean>,Fn1<Iterable<A>,Iterable<A>>>, Fn2<Fn1<? super A,? extends Boolean>,Iterable<A>,Iterable<A>>, Applicative<Fn1<Iterable<A>,Iterable<A>>,Fn1<Fn1<? super A,? extends Boolean>,?>>, Cartesian<Fn1<? super A,? extends Boolean>,Fn1<Iterable<A>,Iterable<A>>,Fn1<?,?>>, Cocartesian<Fn1<? super A,? extends Boolean>,Fn1<Iterable<A>,Iterable<A>>,Fn1<?,?>>, Contravariant<Fn1<? super A,? extends Boolean>,Profunctor<?,Fn1<Iterable<A>,Iterable<A>>,Fn1<?,?>>>, Functor<Fn1<Iterable<A>,Iterable<A>>,Fn1<Fn1<? super A,? extends Boolean>,?>>, Profunctor<Fn1<? super A,? extends Boolean>,Fn1<Iterable<A>,Iterable<A>>,Fn1<?,?>>, Monad<Fn1<Iterable<A>,Iterable<A>>,Fn1<Fn1<? super A,? extends Boolean>,?>>, MonadReader<Fn1<? super A,? extends Boolean>,Fn1<Iterable<A>,Iterable<A>>,Fn1<Fn1<? super A,? extends Boolean>,?>>, MonadRec<Fn1<Iterable<A>,Iterable<A>>,Fn1<Fn1<? super A,? extends Boolean>,?>>, MonadWriter<Fn1<? super A,? extends Boolean>,Fn1<Iterable<A>,Iterable<A>>,Fn1<Fn1<? super A,? extends Boolean>,?>>

      public final class DropWhile<A>
      extends Object
      implements Fn2<Fn1<? super A,? extends Boolean>,Iterable<A>,Iterable<A>>

  Lazily limit the `Iterable` by skipping the first contiguous group of elements that satisfy the predicate, beginning iteration at the first element for which the predicate evaluates to `false`.
  See Also:
    `Drop`, `Filter`, `TakeWhile`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Iterable<A>` | `checkedApply(Fn1<? super A,? extends Boolean> predicate, Iterable<A> as)`
    `static <A> DropWhile<A>` | `dropWhile()`
    `static <A> Fn1<Iterable<A>,Iterable<A>>` | `dropWhile(Fn1<? super A,? extends Boolean> predicate)`
    `static <A> Iterable<A>` | `dropWhile(Fn1<? super A,? extends Boolean> predicate, Iterable<A> as)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn2

      `apply, apply, checkedApply, compose, contraMap, curried, curry, diMapL, discardR, flip, fn2, fromBiFunction, toBiFunction, uncurry, widen`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn1

      `andThen, carry, cartesian, censor, choose, cocartesian, diMap, diMapR, discardL, flatMap, fmap, fn1, fromFunction, lazyZip, listens, local, pure, pureFn1, thunk, toFunction, trampolineM, zip, zip`

    - ### Methods inherited from interface com.jnape.palatable.lambda.monad.Monad

      `join`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functor.Functor

      `coerce`

- - ### Method Detail

    - #### checkedApply

          public Iterable<A> checkedApply(Fn1<? super A,? extends Boolean> predicate,
                                          Iterable<A> as)

      Specified by:
        `checkedApply` in interface `Fn2<Fn1<? super A,? extends Boolean>,Iterable<A>,Iterable<A>>`

    - #### dropWhile

          public static <A> DropWhile<A> dropWhile()

    - #### dropWhile

          public static <A> Fn1<Iterable<A>,Iterable<A>> dropWhile(Fn1<? super A,? extends Boolean> predicate)

    - #### dropWhile

          public static <A> Iterable<A> dropWhile(Fn1<? super A,? extends Boolean> predicate,
                                                  Iterable<A> as)